//  - $Id: cmsColumnMove.jsp,v 1.1 2005/06/21 14:54:06 Administrator Exp $
//  -
//  - 作者：zww
//  - 版本：$Revision: 1.1 $, $Date: 2005/06/21 14:54:06 $
//  - 版权声明：Copyright (C) 2003 OTT. All rights reserved.
//  - @(#)
//  - 描述：系统管理-部门树。
<%@ page language="java" pageEncoding="GB2312" contentType="text/html;charset=GB2312" %>
<%@ include file="/common/taglibs.jsp"%>
if (document.getElementById) {	
    <c:forEach var="cmsColumn" items="${platesList}">
	    <c:if test="${cmsColumn.parentid == '-1'}">
        var tree = new WebFXRadioTree('<c:out value="${cmsColumn.name}"/>', '<c:out value="${cmsColumn.id}"/>', '<c:out value="${cmsColumn.id}"/>,<c:out value="${cmsColumn.name}"/>', '', '', false, false, 'returnValue');
	    tree.setBehavior('classic');
	    r<c:out value="${cmsColumn.id}"/> = tree;
		</c:if>
		<c:if test="${cmsColumn.parentid != '-1'}">
		if(typeof(r<c:out value="${cmsColumn.parentid}"/>) != "undefined" && r<c:out value="${cmsColumn.parentid}"/> != null) {
            r<c:out value="${cmsColumn.id}"/> = new WebFXRadioTreeItem('<c:out value="${cmsColumn.name}"/>', '<c:out value="${cmsColumn.id}"/>', '<c:out value="${cmsColumn.id}"/>,<c:out value="${cmsColumn.name}"/>', '', '', true, <c:if test="${cmsColumn.id != columnid}">false</c:if><c:if test="${cmsColumn.id == columnid}">true</c:if>, 'returnValue', r<c:out value="${cmsColumn.parentid}"/>);
		    r<c:out value="${cmsColumn.id}"/>.icon  = webFXTreeConfig.folderIcon;
		}
        </c:if>		
	</c:forEach>

	if(typeof(tree) != "undefined" && tree != null) {
	    document.write(tree);
	    tree.expand();
	}
}



